// Array object of all the fish details available
// Scientific_name is not needed, as it is populated automatically for the ones listed here.
// Test using console.log at the bottom, after adding a fish.  If the scientific name isn't found in the online database, then you can add it here instead.
// For reference only, the scientific_names that are populated from the API have the populatedFromAPI placeholder name.
// That field is overwritten by the API.
const knownFishDetails = [
  {
    "name": "Largemouth black bass", 
    "scientific_name": "populatedFromAPI",
    "alt_name": "Largemouth Bass",
    "appearance": "Olive-green to greenish gray with the lower jaw extruding further than the upper.",
    "average_size": "18 inches",
    "estimated_population": "",
    "states": ["Wisconsin"],
    "popular_lakes": [""],
    "popular_rivers": [""],
    "bait": ["Almost anything from crayfish to large insects"],
    "hotspots": "Shaded areas during the day, deeper water under logs in the evening",
    "season": "Spring and Summer when the weather is warm. Inactive during winter.",
    "time_of_day": "Early morning or evening",
    "lifespan": "16 years",
    "image": "",
  },
  {
    "name": "Rock bass", 
    "scientific_name": "populatedFromAPI",
    "alt_name": "",
    "appearance": "Red eyes with six spines in the anal fin. Rows of black dots on its sides. A spined dorsal fin united with a soft-rayed one.",
    "average_size": "7 inches",
    "estimated_population": "",
    "states": ["Wisconsin"],
    "popular_lakes": ["Lake Superior", "Lake Michigan"],
    "popular_rivers": [""],
    "bait": ["Small fish", "Young rock bass", "Yellow perch", "Minnows", "Crawfish"],
    "hotspots": "Rocky lakes and rivers",
    "season": "Spring",
    "time_of_day": "Early morning or evening",
    "lifespan": "10 years",
    "image": "",
  },
  {
    "name": "Smallmouth bass", 
    "scientific_name": "populatedFromAPI",
    "alt_name": "",
    "appearance": "",
    "average_size": "",
    "estimated_population": "",
    "states": ["Wisconsin"],
    "popular_lakes": [""],
    "popular_rivers": [""],
    "bait": [""],
    "hotspots": "",
    "season": "",
    "time_of_day": "",
    "lifespan": "",
    "image": "",
  },
  {
    "name": "White bass", 
    "scientific_name": "populatedFromAPI",
    "alt_name": "",
    "appearance": "",
    "average_size": "",
    "estimated_population": "",
    "states": ["Wisconsin"],
    "popular_lakes": [""],
    "popular_rivers": [""],
    "bait": [""],
    "hotspots": "",
    "season": "",
    "time_of_day": "",
    "lifespan": "",
    "image": "",
  },
  {
    "name": "Bluegill", 
    "scientific_name": "populatedFromAPI",
    "alt_name": "",
    "appearance": "",
    "average_size": "",
    "estimated_population": "",
    "states": ["Wisconsin"],
    "popular_lakes": [""],
    "popular_rivers": [""],
    "bait": [""],
    "hotspots": "",
    "season": "",
    "time_of_day": "",
    "lifespan": "",
    "image": "",
  },
  {
    "name": "Black bullhead", 
    "scientific_name": "populatedFromAPI",
    "alt_name": "",
    "appearance": "",
    "average_size": "",
    "estimated_population": "",
    "states": ["Wisconsin"],
    "popular_lakes": [""],
    "popular_rivers": [""],
    "bait": [""],
    "hotspots": "",
    "season": "",
    "time_of_day": "",
    "lifespan": "",
    "image": "",
  },
  {
    "name": "Yellow bullhead", 
    "scientific_name": "populatedFromAPI",
    "alt_name": "",
    "appearance": "",
    "average_size": "",
    "estimated_population": "",
    "states": ["Wisconsin"],
    "popular_lakes": [""],
    "popular_rivers": [""],
    "bait": [""],
    "hotspots": "",
    "season": "",
    "time_of_day": "",
    "lifespan": "",
    "image": "",
  },
  {
    "name": "Brown bullhead", 
    "scientific_name": "populatedFromAPI",
    "alt_name": "",
    "appearance": "",
    "average_size": "",
    "estimated_population": "",
    "states": ["Wisconsin"],
    "popular_lakes": [""],
    "popular_rivers": [""],
    "bait": [""],
    "hotspots": "",
    "season": "",
    "time_of_day": "",
    "lifespan": "",
    "image": "",
  },
  {
    "name": "Channel catfish", 
    "scientific_name": "populatedFromAPI",
    "alt_name": "",
    "appearance": "",
    "average_size": "",
    "estimated_population": "",
    "states": ["Wisconsin"],
    "popular_lakes": [""],
    "popular_rivers": [""],
    "bait": [""],
    "hotspots": "",
    "season": "",
    "time_of_day": "",
    "lifespan": "",
    "image": "",
  },
  {
    "name": "Flathead catfish", 
    "scientific_name": "populatedFromAPI",
    "alt_name": "",
    "appearance": "",
    "average_size": "",
    "estimated_population": "",
    "states": ["Wisconsin"],
    "popular_lakes": [""],
    "popular_rivers": [""],
    "bait": [""],
    "hotspots": "",
    "season": "",
    "time_of_day": "",
    "lifespan": "",
    "image": "",
  },
  {
    "name": "Black crappie", 
    "scientific_name": "populatedFromAPI",
    "alt_name": "",
    "appearance": "",
    "average_size": "",
    "estimated_population": "",
    "states": ["Wisconsin"],
    "popular_lakes": [""],
    "popular_rivers": [""],
    "bait": [""],
    "hotspots": "",
    "season": "",
    "time_of_day": "",
    "lifespan": "",
    "image": "",
  },
  {
    "name": "Muskellunge", 
    "scientific_name": "Esox masquinongy",
    "alt_name": "Musky",
    "appearance": "",
    "average_size": "",
    "estimated_population": "",
    "states": ["Wisconsin"],
    "popular_lakes": [""],
    "popular_rivers": [""],
    "bait": [""],
    "hotspots": "",
    "season": "",
    "time_of_day": "",
    "lifespan": "",
    "image": "",
  },
  {
    "name": "American yellow perch", 
    "scientific_name": "populatedFromAPI",
    "alt_name": "Yellow perch",
    "appearance": "",
    "average_size": "",
    "estimated_population": "",
    "states": ["Wisconsin"],
    "popular_lakes": [""],
    "popular_rivers": [""],
    "bait": [""],
    "hotspots": "",
    "season": "",
    "time_of_day": "",
    "lifespan": "",
    "image": "",
  },
  {
    "name": "Northern pike", 
    "scientific_name": "populatedFromAPI",
    "alt_name": "",
    "appearance": "",
    "average_size": "",
    "estimated_population": "",
    "states": ["Wisconsin"],
    "popular_lakes": [""],
    "popular_rivers": [""],
    "bait": [""],
    "hotspots": "",
    "season": "",
    "time_of_day": "",
    "lifespan": "",
    "image": "",
  },
  {
    "name": "Pumpkinseed", 
    "scientific_name": "populatedFromAPI",
    "alt_name": "",
    "appearance": "",
    "average_size": "",
    "estimated_population": "",
    "states": ["Wisconsin"],
    "popular_lakes": [""],
    "popular_rivers": [""],
    "bait": [""],
    "hotspots": "",
    "season": "",
    "time_of_day": "",
    "lifespan": "",
    "image": "",
  },
  {
    "name": "Chinook(=Spring=King)salmon", 
    "scientific_name": "populatedFromAPI",
    "alt_name": "Chinook salmon",
    "appearance": "",
    "average_size": "",
    "estimated_population": "",
    "states": ["Wisconsin"],
    "popular_lakes": [""],
    "popular_rivers": [""],
    "bait": [""],
    "hotspots": "",
    "season": "",
    "time_of_day": "",
    "lifespan": "",
    "image": "",
  },
  {
    "name": "Coho(=Silver)salmon", 
    "scientific_name": "populatedFromAPI",
    "alt_name": "Coho salmon",
    "appearance": "",
    "average_size": "",
    "estimated_population": "",
    "states": ["Wisconsin"],
    "popular_lakes": [""],
    "popular_rivers": [""],
    "bait": [""],
    "hotspots": "",
    "season": "",
    "time_of_day": "",
    "lifespan": "",
    "image": "",
  },
  {
    "name": "Lake sturgeon", 
    "scientific_name": "populatedFromAPI",
    "alt_name": "",
    "appearance": "",
    "average_size": "",
    "estimated_population": "",
    "states": ["Wisconsin"],
    "popular_lakes": [""],
    "popular_rivers": [""],
    "bait": [""],
    "hotspots": "",
    "season": "",
    "time_of_day": "",
    "lifespan": "",
    "image": "",
  },
  {
    "name": "Brook trout", 
    "scientific_name": "populatedFromAPI",
    "alt_name": "",
    "appearance": "",
    "average_size": "",
    "estimated_population": "",
    "states": ["Wisconsin"],
    "popular_lakes": [""],
    "popular_rivers": [""],
    "bait": [""],
    "hotspots": "",
    "season": "",
    "time_of_day": "",
    "lifespan": "",
    "image": "",
  },
  {
    "name": "Lake trout(=Char)",     
    "scientific_name": "populatedFromAPI",
    "alt_name": "Lake trout",     
    "appearance": "",
    "average_size": "",
    "estimated_population": "",
    "states": ["Wisconsin"],
    "popular_lakes": [""],
    "popular_rivers": [""],
    "bait": [""],
    "hotspots": "",
    "season": "",
    "time_of_day": "",
    "lifespan": "",
    "image": "",
  },
  {
    "name": "Brown trout", 
    "scientific_name": "Salmo trutta",
    "alt_name": "",
    "appearance": "",
    "average_size": "",
    "estimated_population": "",
    "states": ["Wisconsin"],
    "popular_lakes": [""],
    "popular_rivers": [""],
    "bait": [""],
    "hotspots": "",
    "season": "",
    "time_of_day": "",
    "lifespan": "",
    "image": "",
  },
  {
    "name": "Walleye", 
    "scientific_name": "populatedFromAPI",
    "alt_name": "",
    "appearance": "",
    "average_size": "",
    "estimated_population": "",
    "states": ["Wisconsin"],
    "popular_lakes": [""],
    "popular_rivers": [""],
    "bait": [""],
    "hotspots": "",
    "season": "",
    "time_of_day": "",
    "lifespan": "",
    "image": "",
  },
];
// To display the list of these objects in the console for quick verification
//console.log(knownFishDetails);